Package jakarta.annotation.sql

# Annotation Interface DataSourceDefinition

@Target(TYPE) @Retention(RUNTIME) @Repeatable(DataSourceDefinitions.class) public @interface DataSourceDefinition

Since:
  Common Annotations 1.1

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`className`
`String`
`name`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`databaseName`
`String`
`description`
`int`
`initialPoolSize`
`int`
`isolationLevel`
`int`
`loginTimeout`
`int`
`maxIdleTime`
`int`
`maxPoolSize`
`int`
`maxStatements`
`int`
`minPoolSize`
`String`
`password`
`int`
`portNumber`
`String[]`
`properties`
`String`
`serverName`
`boolean`
`transactional`
`String`
`url`
`String`
`user`

## Element Details

### className

String className

Returns:
  the className

### name

String name

Returns:
  the name

### description

String description

Returns:
  the description

Default:
  `""`

### url

String url

Returns:
  the url

Default:
  `""`

### user

String user

Returns:
  the user

Default:
  `""`

### password

String password

Returns:
  the password

Default:
  `""`

### databaseName

String databaseName

Returns:
  database name

Default:
  `""`

### portNumber

int portNumber

Returns:
  the port number

Default:
  `-1`

### serverName

String serverName

Returns:
  the server name

Default:
  `"localhost"`

### isolationLevel

int isolationLevel

Returns:
  the isolation level

Default:
  `-1`

### transactional

boolean transactional

Returns:
  true if the data source is transactional

Default:
  `true`

### initialPoolSize

int initialPoolSize

Returns:
  the initial pool size

Default:
  `-1`

### maxPoolSize

int maxPoolSize

Returns:
  the max pool size

Default:
  `-1`

### minPoolSize

int minPoolSize

Returns:
  the min pool size

Default:
  `-1`

### maxIdleTime

int maxIdleTime

Returns:
  the max idle time

Default:
  `-1`

### maxStatements

int maxStatements

Returns:
  the max statements

Default:
  `-1`

### properties

String[] properties

Returns:
  a String[] with the properties

Default:
  `{}`

### loginTimeout

int loginTimeout

Returns:
  the login timeout

Default:
  `0`